%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-sphinxcontrib-jquery
Version:       4.1
Release:       3mamba
Summary:       Extension to include jQuery on newer Sphinx releases
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/sphinxcontrib-jquery/
Source:        https://pypi.debian.net/sphinxcontrib-jquery/sphinxcontrib-jquery-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(sphinx)
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.11.5

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:     python-sphinxcontrib-jquery-py310 <= 4.1-2mamba
%pyver_package
%endif

%prep
%setup -q -n sphinxcontrib-jquery-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/sphinxcontrib/jquery
%{python_sitelib}/sphinxcontrib/jquery/*
%doc AUTHORS LICENCE

%changelog
* Fri Mar 01 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1-3mamba
- obsolete -py310 package

* Sun Oct 15 2023 Automatic Build System <autodist@mambasoft.it> 4.1-2mamba
- rebuilt with python3 = 3.11.5

* Mon Apr 10 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1-1mamba
- package created using the webbuild interface
